Read data from the memory buffer based on offset and length.

- « Swoole\Buffer::expand

- Swoole\Buffer::recycle »

- PHP Manual
- Swoole\Buffer
- Read data from the memory buffer based on offset and length.

# Swoole\Buffer::read

(PECL swoole >= 1.9.0)

Swoole\Buffer::read — Read data from the memory buffer based on offset and length.

### Description

public Swoole\Buffer::read(int `$offset`, int `$length`): string

### Parameters

`offset`

  The offset.

`length`

  The length.

### Return Values

The data readed from the memory buffer.